Last modified: 2011-03-13 18:06:14 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 15093 - Add (watch) to Special:Contributions
Add (watch) to Special:Contributions
Status: RESOLVED WONTFIX
Product: MediaWiki
Classification: Unclassified
Special pages (Other open bugs)
unspecified
All All
: Lowest enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
: patch, patch-need-review
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-09 05:04 UTC by johnnymrninja
Modified: 2011-03-13 18:06 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Adds a watch link beside every entry within Special:Contributions when logged in (1.62 KB, patch)
2008-08-11 23:50 UTC, Robert Leverington
Details

Description johnnymrninja 2008-08-09 05:04:07 UTC
Would it be possible to add (watch) to User contributions, next to (hist) and (diff)? The two reasons I think it'd be helpful is when A) I've made a lot of small edits and want to make sure I've watched all the pages and B) when following the edits of a problem user. If I could just tear through a category of edits, and then watch everything at the end things would go so much faster. I don't see any downside to it this side of coding.
Comment 1 Siebrand Mazeland 2008-08-10 22:17:34 UTC
(a) should be done through your preferences. Go to the tab "Watchlist" and check the 4 boxes at the bottom (watch pages I create/edit/move/delete).
(b) if you have to watch more than a handful or pages related to a problem user, just block him. I do not see a reason to add this, as the use case is extremely specialised, and the links would appear in the contributions links for everyone, cluttering the UI.

WONTFIX, if I would decide.
Comment 2 Robert Leverington 2008-08-11 23:50:49 UTC
Created attachment 5166 [details]
Adds a watch link beside every entry within Special:Contributions when logged in

Adds a watch or unwatch link beside every entry within Special:Contributions when logged in.  Possible issues:
 * Takes user away from the page, it is easy to return (via the back button) and so isn't significant - an AJAX solution would be nice though (perhaps as a follow up bug though).
 * Uses strtolower on the translation which may or may not be an issue, since although it is a one word this could still be problematic dependant on language.  Another message should be added for this if this does turn out to be bad.
 * Once the user is taken to the watch\unwatch confirmation page the return link is to the page they have watched, rather than Special:Contributions - tried using returnto= but this does not work.
Comment 3 Robert Leverington 2008-08-12 00:00:35 UTC
Consensus is to close as WONTFIX as it is clutter (could be implemented as a gadget if desired, and probably done more effectively that way).
Comment 4 Aryeh Gregor (not reading bugmail, please e-mail directly) 2008-08-12 00:01:30 UTC
Agree with WONTFIX, this seems cluttery.  I don't find the use-case compelling enough to add another button here.  In fact, it doesn't really make sense.  If it's a problem user, you should be looking at their diffs, not at *subsequent* edits by *other people* to the page they just edited.  And as for you, well, you can watch all pages you edit by default.  That should be enough.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links